/**
 * XXXX
 * Inserte aquí la descripción del tipo.
 * Fecha de creación: (15/05/07)
 */   
package com.ejie.p06b.pdf.xml;


import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.HashMap;

import com.ejie.p06b.datatype.model.P06BA1T00Datatype;
import com.ejie.p06b.log.P06BLog;


/**
 * Clase que representa el xml para el pdf de Test
 */
public class P06BListadoTestXML{
   
	public static String getXml(ArrayList listTest)
	throws Exception {
		P06BLog.send(2,"P06BListadoTestXML", "getXml(...)");
		
		HashMap datosMap = 
			getDatos(listTest);
		ArrayList listRegistros = (ArrayList)datosMap.get("listTest");
		String xml="";
		xml+="<?xml version=\"1.0\" encoding=\"UTF-8\"?>";
		xml+=	"<listado>";
		xml+=		"<fechaObtencion>";
		xml+=			datosMap.get("fechaObtencion");
		xml+=		"</fechaObtencion>";
		for(int i=0;i<listTest.size();i++){
			P06BA1T00Datatype registro = 
				(P06BA1T00Datatype)listRegistros.get(i);
			xml+=		"<registro>";
			xml+=			"<campoCodigo>";
			xml+=				registro.getCodigo();
			xml+=			"</campoCodigo>";
			xml+=			"<campoDescripcion>";
			xml+=				registro.getDescripcion();
			xml+=			"</campoDescripcion>";
			xml+=			"<campoValor>";
			xml+=				registro.getValor();
			xml+=			"</campoValor>";
			xml+=		"</registro>";
		}
		xml+=	"</listado>";
		return xml;
	}
	
	//TODO: Falta de hacer
	//Devolverá un hashMap de elementos donde la clave = etiqueta en el xml
	private static HashMap getDatos(ArrayList listTest)
	throws Exception {
		P06BLog.send(2,"P06BListadoTestXML", "getDatos(...)");
		SimpleDateFormat sdf = new SimpleDateFormat("dd/MM/yyyy"); 
		String fechaObtencion=sdf.format(new java.util.Date());
		
		String campoCodigo = "";
		String campoDescripcion = "";
		String campoValor = "";
		
		HashMap datosMap = new HashMap();
		datosMap.put("fechaObtencion",fechaObtencion);
		datosMap.put("listTest",listTest);
		return datosMap;
	}
}